package com.yonge.cooleshow.biz.dal.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.PlatformCashAccountRecordDao;
import com.yonge.cooleshow.biz.dal.dto.search.PlatformCashAccountRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.PlatformCashAccountRecord;
import com.yonge.cooleshow.biz.dal.vo.PlatformCashAccountRecordSummaryVo;

/**
 * 平台账户流水表(PlatformCashAccountRecord)表服务接口
 *
 * @author zx
 * @since 2022-07-21 10:32:06
 */
public interface PlatformCashAccountRecordService extends IService<PlatformCashAccountRecord> {

    PlatformCashAccountRecordDao getDao();
    
    IPage<PlatformCashAccountRecord> queryPage(IPage<PlatformCashAccountRecord> page, PlatformCashAccountRecordSearch query);
    
    PlatformCashAccountRecordSummaryVo querySummary(PlatformCashAccountRecordSearch query);
    
    /**
     * 更新待入账记录
     * @return
     */
    boolean updateWaitRecord();
}

